
-------------------------------------------------------------------------------
-- Optimization
-------------------------------------------------------------------------------

local PlaySoundFile = PlaySoundFile
local select = select

-------------------------------------------------------------------------------
-- Namespace
-------------------------------------------------------------------------------

local A, B, C, D = unpack(select(2, ...)) -- AddOn, Border, Constants, Database
local M = A:NewModule("Chat Sounds")

-------------------------------------------------------------------------------
-- Module
-------------------------------------------------------------------------------

function M:OnEnable()
	self:RegisterEvent("CHAT_MSG_WHISPER")
	self:RegisterEvent("CHAT_MSG_BN_WHISPER", "CHAT_MSG_WHISPER")

	self:RegisterEvent("CHAT_MSG_GUILD")
	self:RegisterEvent("CHAT_MSG_OFFICER", "CHAT_MSG_GUILD")
end

-------------------------------------------------------------------------------
-- Events
-------------------------------------------------------------------------------

function M:CHAT_MSG_WHISPER(...)
	if not A.IsFiltered(...) then
		PlaySoundFile([[Interface\AddOns\SixUI\Resources\Sounds\Whisper.ogg]], "Master")
	end
end

function M:CHAT_MSG_GUILD(...)
	if not A.IsFiltered(...) and select(3, ...) ~= C.PLAYER_NAME then
		PlaySoundFile([[Interface\AddOns\SixUI\Resources\Sounds\Guild.ogg]], "Master")
	end
end
